Subject: Re: [Ace] gerdes-ace-dcaf-authorize (DTLS PSK Generation Methods)

From: Stefanie Gerdes <[email-masked]>
Date: Tue, 05 May 2015 12:07:18 +0200

Hi Renzo,

On 04/29/2015 11:47 AM, Renzo Navas wrote:
> Hello Steffi and DCAF authors,
> 
> I was reading the DCAF draft and I think I find nomenclature mismatch (on
> section 6.1):
> 
> 
>   6.1 <https://tools.ietf.org/html/draft-gerdes-ace-dcaf-authorize-02#section-6.1>.
> DTLS PSK Transfer
> 
>      The DTLS PSK is generated by AS and transmitted to C and S using a
>      secure channel.
> 
> 
> 
> "generated by AS" might be "generated by SAM" (or generated by The
> AM). I think "AS" was the nomenclature used on version 00 of the
> draft.

Ah yes, those terminology changes are a pain. But this problem will
fortunately be solved in the next version :).

> 
> 
> Also I want to say that its great that the document
> draft-gerdes-ace-actors-04 the WG is arriving to a nomenclature merge
> with the draft-seitz-ace-problem-description-03, as discussed on
> Dallas IETF.
> 
> So in the end if the next version of DCAF aligns with Actors, the SAM
> will be AS again :)
> 
> 
> 
> I want to mention that I have a UseCase when I need to bootstrap C
> into an unknown network (but possibly federated with the trusted
> home-network of C) so I cannot assume a pre-established secured
> channel between C and CAM :(.
> I am working on an mutually-authenticated secured bootstraping
> solution. Possibly only using symmetrc criptography.

Ah interesting. I wrote up some ideas about securing authorization
transitions in the lifecycle of a constrained device in
draft-gerdes-ace-a2a [1]. Maybe that can be useful?

We also developed a mechanism for secure bootstrapping that uses CoAP
and symmetric keys a while ago [2]. We have implementations for that if
you are interested.

> 
> Thanks again Steffi for you work,

Thank you :)

Best regards,
Steffi

[1] https://tools.ietf.org/pdf/draft-gerdes-ace-a2a
[2] Olaf Bergmann, Stefanie Gerdes, Silke Schäfer, Florian Junge,
Carsten Bormann: Secure Bootstrapping of Nodes in a CoAP Network. In:
Proceedings of the WCNC 2012 Workshop on the Internet of Things Enabling
Technologies, Embracing Machine-to-Machine Communications and Beyond.
April 2012, pp. 220—225.